package javax.jws;

import java.lang.annotation.ElementType;
import java.lang.annotation.Target;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Retention;

@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.PARAMETER })
public @interface WebParam {
    public abstract String name() default "";
    
    public abstract String partName() default "";
    
    public abstract String targetNamespace() default "";
    
    public abstract WebParam.Mode mode() default WebParam.Mode.IN;
    
    public abstract boolean header() default false;
    
    public enum Mode
    {
        IN, 
        OUT, 
        INOUT;
    }
}
